[RTL][Notifications]The LTR mode will appear firstly in notification bar after changing language to Arabic.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::System
P3
normal
RESOLVED WORKSFORME
3 years ago
3 years ago

People

(Reporter: Sue, Unassigned)

Tracking

({polish})

unspecified
ARM
Gonk (Firefox OS)
polish
Dependency tree / graph

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [systemsfe])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8585979 [details]
video_notifications.MP4

[1.Description]:
[RTL][v2.2 & v3.0][Notifications]The text of notifications appears in LTR mode firstly, and then it switches to RTL mode after changing language to Arabic. 
See attachment:video_notifications.MP4

[2.Testing Steps]: 
1. Have some notifications.
2. Launch Settings and set system language to Arabic.
3. Slide down the notification bar.
4. Observe the transformation of the view.

[3.Expected Result]: 
4. The notifications should be shown in RTL mode directly.

[4.Actual Result]: 
4. The notifications appear in LTR mode firstly, and then switches to RTL mode.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150330162503
Gaia Revision          cc11248ab69f13e89416c8e6bb2e184187e72088
Gaia Date              2015-03-30 22:22:58
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/90a26917ee8f
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150330.201412
Firmware Date          Mon Mar 30 20:14:21 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150330160204
Gaia Revision          be25b16efa19bab8d54be08f8fe45dcc93bf93d0
Gaia Date              2015-03-29 10:19:00
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6dedce1ca673
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150330.191926
Firmware Date          Mon Mar 30 19:19:35 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Nominating (FWIW similar issue as in Bug 1058743)
blocking-b2g: --- → 2.2?
Priority: -- → P1
We are not supporting swapping languages during runtime. How does it look when you boot the phone with arabic?
Flags: needinfo?(lebedel.delphine)
Sorry, I won't have time to look into this. Please generally prefer ni on the original person who filed the bug in these cases.
Sue: can you please confirm as per comment 2?
Flags: needinfo?(lebedel.delphine) → needinfo?(lulu.tian)
(Reporter)

Comment 4

3 years ago
Created attachment 8586546 [details]
Arabic_video.MP4

(In reply to Gregor Wagner [:gwagner] from comment #2)
> We are not supporting swapping languages during runtime. How does it look
> when you boot the phone with arabic?

Hi Gregor,
It looks good when we boot the phone with arabic.
STR:
1. Set system language as Arabic.
2. Receive some notifications.
3. Slide down the notification bar.
**The notifications are shown in RTL mode directly.
See attachment:Arabic_video.MP4
Flags: needinfo?(lulu.tian)
As per comment 2 and confirmation in comment 4, therefore un-nominating and putting as a P3.
Thanks!
blocking-b2g: 2.2? → ---
Priority: P1 → P3
Keywords: polish
Whiteboard: [systemsfe]
This issue can be reproduced on latest AriesKK v2.5 build by the same STR in comment 0.
Actual Result: 
The notifications appear in LTR mode firstly, and then switches to RTL mode.

Reproducing rate:10/10

Device:AriesKK v2.5 build
Build ID               20150811234258
Gaia Revision          c7875bbc8b32e7b95cc55c9690b03b140905d84d
Gaia Date              2015-08-11 18:18:36
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/d4f3a8a75577e4af2914a4e899ca2e724f9715c4
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150811.230622
Firmware Date          Tue Aug 11 23:06:29 UTC 2015
Bootloader             s1
Blocks: 1181944
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
Created attachment 8681027 [details]
Notifications_v2.5.3gp

This issue cannot be reproduced on latest FlameKK&AriesKK v2.5 build by the same STR in comment 0.
Actual result:Change language from English to Arabic, the notifications menu is shown in RTL mode directly.
See attachment:Notifications_v2.5.3gp
Reproducing rate:0/10

Device: FlameKK v2.5 build (512mb)
Build ID               20151029150245
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1fbc958f75576446a57cf93406db87b51b12911d
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151029.182818
Firmware Date          Thu Oct 29 18:28:30 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: AriesKK v2.5 build
Build ID               20151030012032
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6d1e12f5725b56453e368b960e873261e0d48b5a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151030.003706
Firmware Date          Fri Oct 30 00:37:14 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.